Skip to main content
GET
/
api
/
market
/
v1
/
get-insider-transactions
GetInsiderTransactions
curl --request GET \
  --url https://api.example.com/api/market/v1/get-insider-transactions
{
  "unavailable": true,
  "symbol": "<string>",
  "totalBuys": 123,
  "totalSells": 123,
  "netValue": 123,
  "transactions": [
    {
      "name": "<string>",
      "shares": 123,
      "value": 123,
      "transactionCode": "<string>",
      "transactionDate": "<string>"
    }
  ],
  "fetchedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://worldmonitor.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

symbol
string

Response

Successful response

unavailable
boolean
symbol
string
totalBuys
number<double>
totalSells
number<double>
netValue
number<double>
transactions
object[]
fetchedAt
string